import request from '@/utils/request'

// 查询企微违禁词管理列表
export function listWords(query) {
  return request({
    url: '/qw/words/list',
    method: 'get',
    params: query
  })
}

// 查询企微违禁词管理详细
export function getWords(id) {
  return request({
    url: '/qw/words/' + id,
    method: 'get'
  })
}

// 新增企微违禁词管理
export function addWords(data) {
  return request({
    url: '/qw/words',
    method: 'post',
    data: data
  })
}

// 修改企微违禁词管理
export function updateWords(data) {
  return request({
    url: '/qw/words',
    method: 'put',
    data: data
  })
}

// 删除企微违禁词管理
export function delWords(id) {
  return request({
    url: '/qw/words/' + id,
    method: 'delete'
  })
}

// 导出企微违禁词管理
export function exportWords(query) {
  return request({
    url: '/qw/words/export',
    method: 'get',
    params: query
  })
}